﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;

namespace InfragisticsComMenuTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

			axWebBrowser1.Navigate("http://www.google.com");
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Point contextMenuLocation = PointToScreen(infragisticsButton.Location);
            contextMenuLocation.X += infragisticsButton.Width + 20;

            ultraToolbarsManager1.Tools.Clear();
            
            PopupMenuTool popupTool = new PopupMenuTool("PopupMenu1");
            ButtonTool line1 = new ButtonTool("This is line 1");
            ButtonTool line2 = new ButtonTool("This is line 2");
            ButtonTool line3 = new ButtonTool("This is line 3");
            ButtonTool line4 = new ButtonTool("This is line 4");

            line1.SharedProps.Caption = "this menu";
            line2.SharedProps.Caption = "and button";
            line3.SharedProps.Caption = "is using";
            line4.SharedProps.Caption = "Infragistics 10.1";
            
            ultraToolbarsManager1.Tools.Add(popupTool);
            ultraToolbarsManager1.Tools.Add(line1);
            ultraToolbarsManager1.Tools.Add(line2);
            ultraToolbarsManager1.Tools.Add(line3);
            ultraToolbarsManager1.Tools.Add(line4);

            popupTool.Tools.Add(line1);
            popupTool.Tools.Add(line2);
            popupTool.Tools.Add(line3);
            popupTool.Tools.Add(line4);

            popupTool.AllowTearaway = false;
            popupTool.SharedProps.Caption = "Popup Menu 1";




            popupTool.ShowPopup(contextMenuLocation);


        }

        private void windowsButton_Click(object sender, EventArgs e)
        {
            Point contextMenuLocation = PointToScreen(windowsButton.Location);
            contextMenuLocation.X += windowsButton.Width + 20;
            ContextMenuStrip = new ContextMenuStrip();
            ContextMenuStrip.Items.Add("this menu");
            ContextMenuStrip.Items.Add("and button");
            ContextMenuStrip.Items.Add("is using ");
            ContextMenuStrip.Items.Add("windows");
            ContextMenuStrip.Show(contextMenuLocation);
        }
    }
}
